aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavi Antônio da Silva Santos <antoniossdavi@gmail.com>2023-03-02 02:55:08 +0000
committerDavi Antônio da Silva Santos <antoniossdavi@gmail.com>2023-03-04 01:24:15 +0000
commitb08843cae0ae8aa428a2a654fc48fbd15c65c714 (patch)
treefa6418ed4ad4a7221bfcebe14203b2a8806a65b7
parent89d0e395460fe5c0501d95c1223a866a53bdff6b (diff)
downloadboca-b08843cae0ae8aa428a2a654fc48fbd15c65c714.tar.gz
boca-b08843cae0ae8aa428a2a654fc48fbd15c65c714.zip
Abort maintainer scripts on failure
The `set -e` flag has been enabled in the maintainer scripts. This fixes the Lintian warnings: * boca-autojudge: maintainer-script-ignores-errors [postinst] * boca-submission-tools: maintainer-script-ignores-errors [postinst] * boca-web: maintainer-script-ignores-errors [postinst] The packages boca-common and boca-db were altered to set the flag as early as possible in their maintainer scripts.
-rw-r--r--debian/boca-autojudge.postinst5
-rw-r--r--debian/boca-common.postinst3
-rw-r--r--debian/boca-db.postinst3
-rw-r--r--debian/boca-submission-tools.postinst9
-rw-r--r--debian/boca-web.postinst1
5 files changed, 11 insertions, 10 deletions
diff --git a/debian/boca-autojudge.postinst b/debian/boca-autojudge.postinst
index 06fa222..1813aa0 100644
--- a/debian/boca-autojudge.postinst
+++ b/debian/boca-autojudge.postinst
@@ -1,7 +1,8 @@
#!/bin/bash
+set -e
-chmod 4555 /usr/bin/safeexec
-chmod 700 /usr/sbin/boca-createjail
+chmod 4555 /usr/bin/safeexec
+chmod 700 /usr/sbin/boca-createjail
chmod 700 /usr/sbin/boca-autojudge
exit 0
diff --git a/debian/boca-common.postinst b/debian/boca-common.postinst
index 2d47988..9492c78 100644
--- a/debian/boca-common.postinst
+++ b/debian/boca-common.postinst
@@ -1,10 +1,9 @@
#!/bin/bash
+set -e
chmod 700 /usr/sbin/boca-config-dbhost
chmod 700 /usr/sbin/boca-fixssh
-set -e
-
. /usr/share/debconf/confmodule
priority=high
diff --git a/debian/boca-db.postinst b/debian/boca-db.postinst
index c1ad606..927c6a4 100644
--- a/debian/boca-db.postinst
+++ b/debian/boca-db.postinst
@@ -1,9 +1,8 @@
#!/bin/bash
+set -e
chmod 700 /usr/sbin/boca-createdb
-set -e
-
. /usr/share/debconf/confmodule
priority=high
diff --git a/debian/boca-submission-tools.postinst b/debian/boca-submission-tools.postinst
index 21cfdd9..107ddf2 100644
--- a/debian/boca-submission-tools.postinst
+++ b/debian/boca-submission-tools.postinst
@@ -1,12 +1,13 @@
#!/bin/bash
+set -e
#Make sure wrapper is suid and others are not readable
chmod 700 /usr/sbin/boca-fixes
-chmod 700 /usr/sbin/boca-auth-runs
-chmod 700 /usr/sbin/boca-outmanage
-chmod 700 /usr/sbin/boca-submit-log
+chmod 700 /usr/sbin/boca-auth-runs
+chmod 700 /usr/sbin/boca-outmanage
+chmod 700 /usr/sbin/boca-submit-log
chmod 700 /usr/bin/boca-submit-run-*
-chmod 4555 /usr/bin/boca-submit-run-root-wrapper
+chmod 4555 /usr/bin/boca-submit-run-root-wrapper
for i in boca-submit-list boca-submit-oldlist; do
rm -f /usr/bin/$i || true
diff --git a/debian/boca-web.postinst b/debian/boca-web.postinst
index ca537f5..31fa7e7 100644
--- a/debian/boca-web.postinst
+++ b/debian/boca-web.postinst
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
. /usr/share/debconf/confmodule